/* eslint-disable flowtype/require-valid-file-annotation */

import React from 'react';
import PageHead from 'components/PageHead';
import PageBody from 'components/PageBody';
import PageFooter from 'components/PageFooter';
import {ThemeProvider} from 'withStyles';

const REPOSITORY_URL = 'https://github.com/oliviertassinari/react-with-styles-interface-jss';

const Main = () => (
  <ThemeProvider>
    <div>
      <PageHead
        name="React swipeable views"
        description="A React component for swipeable views"
        repositoryUrl={REPOSITORY_URL}
      />
      <PageBody>
        Here is some content
        <PageFooter
          maintainerName="oliviertassinari"
          maintainerUrl="https://github.com/oliviertassinari"
          repositoryName="react-with-styles-interface-jss"
          repositoryUrl={REPOSITORY_URL}
        />
      </PageBody>
    </div>
  </ThemeProvider>
);

export default Main;
